package com.bib.essensbestellungsverwaltung;
import javafx.collections.FXCollections;
import javafx.collections.ObservableList;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.Node;
import javafx.scene.control.*;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

public class MenueController {

    @FXML
    Button btFirstMealMon;
    @FXML
    Button btSecondMealMon;
    @FXML
    Button btNoMealMon;
    @FXML
    Button btFirstDessertMon;
    @FXML
    Button btSecondDessertMon;
    @FXML
    Button btNoDessertMon;
    @FXML
    Button btFirstMealTue;
    @FXML
    Button btSecondMealTue;
    @FXML
    Button btNoMealTue;
    @FXML
    Button btFirstDessertTue;
    @FXML
    Button btSecondDessertTue;
    @FXML
    Button btNoDessertTue;
    @FXML
    Button btFirstMealWed;
    @FXML
    Button btSecondMealWed;
    @FXML
    Button btNoMealWed;
    @FXML
    Button btFirstDessertWed;
    @FXML
    Button btSecondDessertWed;
    @FXML
    Button btNoDessertWed;
    @FXML
    Button btFirstMealThu;
    @FXML
    Button btSecondMealThu;
    @FXML
    Button btNoMealThu;
    @FXML
    Button btFirstDessertThu;
    @FXML
    Button btSecondDessertThu;
    @FXML
    Button btNoDessertThu;
    @FXML
    Button btFirstMealFri;
    @FXML
    Button btSecondMealFri;
    @FXML
    Button btNoMealFri;
    @FXML
    Button btFirstDessertFri;
    @FXML
    Button btSecondDessertFri;
    @FXML
    Button btNoDessertFri;
    @FXML
    ComboBox<String> cbPickChild;
    @FXML
    Button btSaveOrder;
    @FXML
    ListView<String> lvFoodInfo;

    public ObservableList<Node> buttons = FXCollections.observableArrayList();
    public ObservableList<String> children = FXCollections.observableArrayList();

    public List<Child> allChildren = AccountMgr.getAllChildrenFromParentWithId(3);
    public void initialize(){
        FoodPlan foodplanMon = FoodMgr.getFoodPlanById(1);
        FoodPlan foodplanTue = FoodMgr.getFoodPlanById(2);
        FoodPlan foodplanWed = FoodMgr.getFoodPlanById(3);
        FoodPlan foodplanThu = FoodMgr.getFoodPlanById(4);
        FoodPlan foodplanFri = FoodMgr.getFoodPlanById(5);

        for (Child c : allChildren){
            children.add(c.getFirstname());
        }
        cbPickChild.setItems(children);
    }

    public void setButtonActive(ActionEvent event) {
        Button b = (Button) event.getSource();

        javafx.scene.Parent p = b.getParent();
        buttons = p.getChildrenUnmodifiable();

        for(Node button : buttons){
            button.setDisable(button.equals(b));
        }
    }
}
